Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class AlgorithmParameterGenerator

    java.lang.Object
      |
      +--java.security.AlgorithmParameterGenerator

public class AlgorithmParameterGenerator
extends java.lang.Object

Constructor Summary
`protected` | `AlgorithmParameterGenerator(AlgorithmParameterGeneratorSpi paramGenSpi, java.security.Provider provider, java.lang.String algorithm)`

Method Summary
`AlgorithmParameters` | `generateParameters()`
`java.lang.String` | `getAlgorithm()`
`static AlgorithmParameterGenerator` | `getInstance(java.lang.String algorithm)`
`static AlgorithmParameterGenerator` | `getInstance(java.lang.String algorithm, java.lang.String provider)`
`java.security.Provider` | `getProvider()`
`void` | `init(AlgorithmParameterSpec genParamSpec)`
`void` | `init(AlgorithmParameterSpec genParamSpec, java.security.SecureRandom random)`
`void` | `init(int size)`
`void` | `init(int size, java.security.SecureRandom random)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlgorithmParameterGenerator

    protected AlgorithmParameterGenerator(AlgorithmParameterGeneratorSpi paramGenSpi,
                                          java.security.Provider provider,
                                          java.lang.String algorithm)

Method Detail

### generateParameters

    public final AlgorithmParameters generateParameters()

### getAlgorithm

    public final java.lang.String getAlgorithm()

### getInstance

    public static AlgorithmParameterGenerator getInstance(java.lang.String algorithm)
                                                   throws java.security.NoSuchAlgorithmException

    `java.security.NoSuchAlgorithmException`

### getInstance

    public static AlgorithmParameterGenerator getInstance(java.lang.String algorithm,
                                                          java.lang.String provider)
                                                   throws java.security.NoSuchAlgorithmException,
                                                          java.security.NoSuchProviderException

    `java.security.NoSuchAlgorithmException`
    `java.security.NoSuchProviderException`

### getProvider

    public final java.security.Provider getProvider()

### init

    public final void init(AlgorithmParameterSpec genParamSpec)
                    throws InvalidAlgorithmParameterException

    `InvalidAlgorithmParameterException`

### init

    public final void init(AlgorithmParameterSpec genParamSpec,
                           java.security.SecureRandom random)
                    throws InvalidAlgorithmParameterException

    `InvalidAlgorithmParameterException`

### init

    public final void init(int size)

### init

    public final void init(int size,
                           java.security.SecureRandom random)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD